# floor

(PHP 4, PHP 5, PHP 7, PHP 8)

floor — Redondear fracciones hacia abajo

### Descripción

floor(float `$value`): mixed

Devuelve el siguiente valor de tipo integer (como float), redondeando `value` si fuera necesario.

### Parámetros

`value`

  El valor numérico a redondear

### Valores devueltos

`value` redondeado al anterior entero más bajo. El valor de retorno de floor() sigue siendo de tipo float ya que el rango de valores de float es usualmente mayor que el del tipo integer. Esta función devuelve FALSE en caso de error (p.ej., al pasar un array).

### Ejemplos

Ejemplo #1 Ejemplo de floor()

`<?php
echo floor(4.3); // 4
echo floor(9.999); // 9
echo floor(-3.14); // -4
?>`

### Ver también

- ceil() - Redondear fracciones hacia arriba
- round() - Redondea un float